<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content="Wings Mobile - SoftSwitch Administrator"/>
    <meta name="author" content="Mauricio Biasutto"/>
    <title>Pagos - Wings Mobile</title>
    <link rel="bookmark" th:href="@{/img/favicon.png}"/>
    <link rel="shortcut icon" th:href="@{/img/favicon.ico}"/>
    <link href="/css/font-awesome.min.css" th:href="@{/css/font-awesome.min.css}" rel="stylesheet"/>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link href="/css/sb-admin-2.css" th:href="@{/css/sb-admin-2.css}" rel="stylesheet"/>
    <link th:href="@{/css/style.css}" rel="stylesheet"/>
    <script th:src="@{/js/fontawesome.js}"></script>
    <link th:href="@{/css/navigation-style.css}" rel="stylesheet"/>
</head>
<body id="page-top">

<div class="page-wrapper chiller-theme toggled">
    <div th:replace="@{frags/navigation}"></div>
    <main class="page-content">
        <div class="container-fluid">
            <div th:replace="@{frags/topbar}"></div>
            <div class="container-fluid">
                <div id="ui-view"></div>
            </div>

            <div class="row">

                <div class="col-lg-12">
                    <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
                        <div class="col-lg-2">
                            <h4 class="text-gray-800" th:text="${titulo}"></h4>
                        </div>
                    </nav>
                </div>
            </div>
            <div class="container container-properties o-hidden border-0 shadow-lg my-5" id="gateway-form-div">
                <button class="btn btn-primary active" id="btn-crear" hidden th:text="#{gateway.form.btn.create}">Crear</button>
                    <form th:action="@{/admin/create-gateway}" th:method="post" id="create-form">
                        <fieldset>
                            <div class="form-group mx-2 mt-2" style="padding-top: 1em;">
                                <label for="gatewayId" style="font-size: 18px;" th:text="#{gateway.form.select.gateway}">Seleccione el gateway</label>
                                <select id="gatewayId" class="form-control col-4"  name="gateway">
                                    <option th:value="0" disabled="" selected="selected">Gateway</option>
                                    <option th:each="gateway : ${gateways}" th:text="${gateway.getName()}" th:value="${gateway.getId()}" th:data-gatewayname="${gateway.getName()}"></option>
                                </select>
                            </div>
                        </fieldset>
                        <fieldset id="divGatewayProperties"></fieldset>
                    </form>
            </div>
        </div>
        <footer class="sticky-footer bg-white" sytle="bottom: 0;" >
            <div class="container my-auto">
                <div class="copyright text-center my-auto">
                    <span>Copyright &copy; Wings Mobile 2020</span>
                </div>
            </div>
        </footer>
    </main>
</div>
<div id="i18n_create_gtw_success" th:text="#{popup.create.gtw.success}" style="display:none;"></div>
<div id="i18n_create_gtw_error" th:text="#{popup.create.gtw.error}" style="display:none;"></div>

<script th:src="@{/js/sweetalert.min.js}"></script>
<script th:src="@{/js/jquery.min.js}"></script>
<script th:src="@{/js/popper.min.js}"></script>
<script th:src="@{/js/bootstrap.min.js}"></script>
<script th:src="@{/js/fontawesome.js}"></script>
<script th:src="@{/js/gateways/create-gw.js}"></script>
</body>
</html>